summarylogtreecommitdiffstats
path: root/fman.install
diff options
context:
space:
mode:
Diffstat (limited to 'fman.install')
-rw-r--r--fman.install28
1 files changed, 28 insertions, 0 deletions
diff --git a/fman.install b/fman.install
new file mode 100644
index 000000000000..832427d5267a
--- /dev/null
+++ b/fman.install
@@ -0,0 +1,28 @@
+post_install() {
+ :
+#!/bin/sh
+
+set -e
+
+pacman-key --add /opt/fman/public.gpg-key
+pacman-key --lsign-key B015FE599CFAF7EB
+
+if ! grep -qx "\[fman\]" /etc/pacman.conf ; then
+ echo -e '\n[fman]\nInclude = /etc/pacman.d/fman' >> /etc/pacman.conf
+fi
+}
+post_upgrade() {
+ :
+#!/bin/sh
+# When we don't specify an --after-upgrade script for fpm, --after-install is
+# called after upgrades as well (according to the fpm documentation, in order to
+# preserve backwards compatibility). We therefore have this script here - even
+# though it is currently empty - to ensure that our --after-install script
+# is not called after mere upgrades as well.
+}
+post_remove() {
+ :
+#!/bin/sh
+set -e
+perl -i~ -0777 -pe 's:\n\[fman\]\nInclude = /etc/pacman.d/fman\n::g' /etc/pacman.conf
+}